package com.ruoyi.powerdistribution.domain;

import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;

/**
 * 履职周统计对象 pdm_report_appointment_week
 *
 * @author ruoyi
 * @date 2024-11-29
 */
public class PdmReportAppointmentWeek extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** $column.columnComment */
    private Long id;

    /** 单位 */
    @Excel(name = "单位")
    private String company;

    /** 日期 */
    @Excel(name = "日期")
    private String reportDate;

    /** 结束日期 */
    @Excel(name = "结束日期")
    private String reportEndDate;

    /** 督察现场数量 三级 */
    @Excel(name = "督察现场数量 三级")
    private Integer checkNum3;

    /** 督察现场数量 四级 */
    @Excel(name = "督察现场数量 四级")
    private Integer checkNum4;

    /** 督察现场数量 五级 */
    @Excel(name = "督察现场数量 五级")
    private Integer checkNum5;

    /** 领导督察次数 */
    @Excel(name = "领导督察次数")
    private Integer bossSum;

    /** 管理督察次数 */
    @Excel(name = "管理督察次数")
    private Integer manageSum;

    /** 问题数量 */
    @Excel(name = "问题数量")
    private Integer problemSum;

    /** 未履职数量 */
    @Excel(name = "未履职数量")
    private Integer absentSum;

    /** 市公司查处问题数 */
    @Excel(name = "市公司查处问题数")
    private Integer cityCheckSum;

    public void setId(Long id)
    {
        this.id = id;
    }

    public Long getId()
    {
        return id;
    }
    public void setCompany(String company)
    {
        this.company = company;
    }

    public String getCompany()
    {
        return company;
    }
    public void setReportDate(String reportDate)
    {
        this.reportDate = reportDate;
    }

    public String getReportDate()
    {
        return reportDate;
    }
    public void setReportEndDate(String reportEndDate)
    {
        this.reportEndDate = reportEndDate;
    }

    public String getReportEndDate()
    {
        return reportEndDate;
    }
    public void setCheckNum3(Integer checkNum3)
    {
        this.checkNum3 = checkNum3;
    }

    public Integer getCheckNum3()
    {
        return checkNum3;
    }
    public void setCheckNum4(Integer checkNum4)
    {
        this.checkNum4 = checkNum4;
    }

    public Integer getCheckNum4()
    {
        return checkNum4;
    }
    public void setCheckNum5(Integer checkNum5)
    {
        this.checkNum5 = checkNum5;
    }

    public Integer getCheckNum5()
    {
        return checkNum5;
    }
    public void setBossSum(Integer bossSum)
    {
        this.bossSum = bossSum;
    }

    public Integer getBossSum()
    {
        return bossSum;
    }
    public void setManageSum(Integer manageSum)
    {
        this.manageSum = manageSum;
    }

    public Integer getManageSum()
    {
        return manageSum;
    }
    public void setProblemSum(Integer problemSum)
    {
        this.problemSum = problemSum;
    }

    public Integer getProblemSum()
    {
        return problemSum;
    }
    public void setAbsentSum(Integer absentSum)
    {
        this.absentSum = absentSum;
    }

    public Integer getAbsentSum()
    {
        return absentSum;
    }
    public void setCityCheckSum(Integer cityCheckSum)
    {
        this.cityCheckSum = cityCheckSum;
    }

    public Integer getCityCheckSum()
    {
        return cityCheckSum;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("id", getId())
            .append("company", getCompany())
            .append("reportDate", getReportDate())
            .append("reportEndDate", getReportEndDate())
            .append("checkNum3", getCheckNum3())
            .append("checkNum4", getCheckNum4())
            .append("checkNum5", getCheckNum5())
            .append("bossSum", getBossSum())
            .append("manageSum", getManageSum())
            .append("problemSum", getProblemSum())
            .append("absentSum", getAbsentSum())
            .append("cityCheckSum", getCityCheckSum())
            .append("createBy", getCreateBy())
            .append("createTime", getCreateTime())
            .append("updateBy", getUpdateBy())
            .append("updateTime", getUpdateTime())
            .toString();
    }
}
